import React from 'react';
import { Provider } from 'react-redux';
import { store } from './store/store';
import { AppRouter } from './router/AppRouter'
import "materialize-css/dist/css/materialize.min.css";
import { SocketProvider } from './context/SocketContext';

function App() {
  return (
    <div>
      <Provider store={ store }>
        <SocketProvider>
          <AppRouter />
        </SocketProvider>
      </Provider>
    </div>
  );
}

export default App;
