import Swal from 'sweetalert2';
import { fetchSinToken, fetchConToken } from '../helpers/fetch';
import { types } from '../types/types';

export const startLogin = ( email, password, getErrors ) => {
    return async( dispatch) => {

        const resp = await fetchSinToken( 'auth', { email, password }, 'POST' );
        const body = await resp.json();

        if( body.ok ) {
            localStorage.setItem('token', body.token );
            localStorage.setItem('token-init-date', new Date().getTime() );

            dispatch( login({
                uid: body.uid,
                name: body.name,
                rol: body.rol
                
            }) )
        } else {
           Swal.fire('Error', body.msg, 'error');
           //return { ok: false, error: body.msg };
           getErrors(body.msg);
           console.log(body.msg)
        }
        

    }
}
export const startRegister = ( email, password, name, surname ) => {
    return async( dispatch ) => {
        const resp = await fetchSinToken( 'auth/new', { email, password, name, surname }, 'POST' );
        const body = await resp.json();

        if( body.ok ) {
            localStorage.setItem('token', body.token );
            localStorage.setItem('token-init-date', new Date().getTime() );

            dispatch( login({
                uid: body.uid,
                name: body.name,
                rol: body.rol
            }) )
        } else {
            Swal.fire('Error', body.msg, 'error');
        }


    }
}

export const startChecking = (prevUID) => {
    return async(dispatch) => {

        const prevuid = prevUID || '';

        const resp = await fetchConToken( 'auth/renew' );

        const body = await resp.json();

        if( body.ok ) {
            localStorage.setItem('token', body.token );
            localStorage.setItem('token-init-date', new Date().getTime() );

            if(prevuid === body.uid){
                return false;
            }
            dispatch( login({
                uid: body.uid,
                name: body.name,
                rol: body.rol

            }) )
        } else {
            dispatch(startLogout())
        }
    }
}

export const checkingStarting = () => ({ type: types.authCheckingStart })

const login = ( user ) => ({
    type: types.authLogin,
    payload: user
});


export const startLogout = () => {
    return ( dispatch ) => {

        localStorage.clear();
        dispatch( logout() );
    }
}

const logout = () => ({ type: types.authLogout })