import { fetchConToken } from '../helpers/fetch';
import { types } from '../types/types';
import Swal from 'sweetalert2';


export const nearestOriginStopStartLoading = (place, dispatch) => {
    return new Promise ((resolve, reject) =>{
        fetchConToken(`stopinplace/${place}`)
        .then(response => response.json())
        .then(data => {
            if(data.ok){
                dispatch(nearestOriginStopLoaded(data.data[0]))
                return resolve(data.data[0]);                
            }
            else {
                let errDesc = '<strong>En origen:</strong><ul>';
                data?.msg && (errDesc += '<li>'+data?.msg+'</li>');
                data?.error && (errDesc += '<li>'+data?.error+'</li>');
                if(data?.errors){
                    for(let campo in data.errors){
                        errDesc += '<li>'+data.errors[campo].msg + "</li>"
                    }
                }
                errDesc += '</ul>';                               
                reject(errDesc);
            }
        })
        .catch((error) => {
            console.log(error);
            Swal.fire({
                icon: 'error',
                title: 'Oops...',
                html: error.message, 
                footer: 'Habla con el administrador'                   
            })  
        });
    })    
}

export const nearestDestinationStopStartLoading = (place, dispatch) => {
    return new Promise ((resolve, reject) =>{
        fetchConToken(`stopinplace/${place}`)
        .then(response => response.json())
        .then(data => {
            if(data.ok){
                dispatch(nearestDestinationStopLoaded(data.data[0]));
                return resolve(data.data[0]);
                
            }
            else {                
                let errDesc = '<strong>En destino:</strong><ul>';
                    data?.msg && (errDesc += '<li>'+data?.msg+'</li>');
                    data?.error && (errDesc += '<li>'+data?.error+'</li>');
                    if(data?.errors){
                        for(let campo in data.errors){
                            errDesc += '<li>'+data.errors[campo].msg + "</li>"
                        }
                    }
                    errDesc += '</ul>';
                    Swal.fire({
                        icon: 'error',
                        title: 'Oops error en destino...',
                        html: errDesc, 
                        footer: 'Habla con el administrador'                   
                    })                                
                reject(errDesc);
            }
        })
        .catch((error) => {
            console.log(error);
            Swal.fire({
                icon: 'error',
                title: 'Oops...',
                html: error.message, 
                footer: 'Habla con el administrador'                   
            })  
        });
    })
}

const nearestOriginStopLoaded = (stop) => ({
    type: types.nearestOriginStopLoaded,
    payload: stop
})

const nearestDestinationStopLoaded = (stop) => ({
    type: types.nearestDestinationStopLoaded,
    payload: stop
})

export const nearestStopsReset = () => {
    return nearestStopsReseted
}

const nearestStopsReseted = {
    type: types.nearestStopsReset
}