import Swal from 'sweetalert2';
import { fetchConToken } from '../helpers/fetch';
import { types } from '../types/types';

export const changeProfile = (data) => {    
    return async (dispatch) =>{
        fetchConToken("profile",  data, 'POST')
        .then(response => response.json())
        .then(data => {
            if( data.ok ) {
                Swal.fire('Contraseña', 'Se ha modificado correctamente', 'success')
                return dispatch(profileChanged())
            }
            else {
                let errDesc = '<ul>';
                data?.msg && (errDesc += '<li>'+data?.msg+'</li>');
                data?.error && (errDesc += '<li>'+data?.error+'</li>');
                if(data?.errors){
                    for(let campo in data.errors){
                        errDesc += '<li>'+data.errors[campo].msg + "</li>"
                    }
                }
                errDesc += '</ul>';
                Swal.fire({
                    icon: 'error',
                    title: 'Oops...',
                    html: errDesc, 
                    footer: 'Habla con el administrador'                   
                })
            }  
                
        })
        .catch((error) => {
            Swal.fire('Contraseña', error, 'error')
        });
    }    
}

export const profileChanged = () => ({
    type: types.profileChanged    
})
