import Swal from 'sweetalert2';
import { fetchConToken } from '../helpers/fetch';
import { types } from '../types/types';

export const stopsSearchStartLoading = (origen, destino) => {
    return async (dispatch) =>{

        fetchConToken(`search/${origen}/${destino}`)
        .then(response => response.json())
        .then(data => {
            if(data.ok){
                return dispatch(stopsSearchPathLoaded(data.data))
            }
            else {
                let errDesc = '<ul>';
                data?.msg && (errDesc += '<li>'+data?.msg+'</li>');
                data?.error && (errDesc += '<li>'+data?.error+'</li>');
                if(data?.errors){
                    for(let campo in data.errors){
                        errDesc += '<li>'+data.errors[campo].msg + "</li>"
                    }
                }
                errDesc += '</ul>';
                Swal.fire({
                    icon: 'error',
                    title: 'Oops...',
                    html: errDesc, 
                    footer: 'Habla con el administrador'                   
                })
            }                
        })
        .catch((error) => {
            console.log(error)
        });
    }    
}

const stopsSearchPathLoaded = (stops) => ({
    type: types.stopsSearchLoaded,
    payload: stops
})

export const stopsSearchReset = () => {    
    return (dispatch) => {
        dispatch(stopsSearchInitialValue());
    }
}

const stopsSearchInitialValue = () => ({
    type: types.stopsSearchReset,
    payload: []
})
