import Swal from 'sweetalert2';
import { fetchConToken } from '../helpers/fetch';
import { types } from '../types/types';

export const walkingPathLoadedNow = (data) => {
    //return walkingPathLoaded(data);
}

export const walkingPathOriginStartLoading = (longLatOrigen, longLatDestino) => {
    return async (dispatch) =>{        
        const [longOrigen, latOrigen] = longLatOrigen;
        const [longDestino, latDestino] = longLatDestino;

        fetchConToken(`directions/${longOrigen}/${latOrigen}/${longDestino}/${latDestino}`)
        .then(response => response.json())
        .then(data => {
                if(data.ok){
                    return dispatch(walkingOriginPathLoaded(data.data))
                }
                else {
                    let errDesc = '<ul>';
                    data?.msg && (errDesc += '<li>'+data?.msg+'</li>');
                    data?.error && (errDesc += '<li>'+data?.error+'</li>');
                    if(data?.errors){
                        for(let campo in data.errors){
                            errDesc += '<li>'+data.errors[campo].msg + "</li>"
                        }
                    }
                    errDesc += '</ul>';
                    Swal.fire({
                        icon: 'error',
                        title: 'Oops...',
                        html: errDesc, 
                        footer: 'Habla con el administrador'                   
                    })
                }                
            }
        )
        .catch((error) => {
            console.log("error en el servicio")
            console.log(longLatOrigen, longLatDestino)
            console.log("el error" + error)
        });
    }    
}

const walkingOriginPathLoaded = (path) => ({
    type: types.walkingOriginPathLoaded,
    payload: path
})

export const walkingPathDestinationStartLoading = (longLatOrigen, longLatDestino) => {
    return async (dispatch) =>{        
        const [longOrigen, latOrigen] = longLatOrigen;
        const [longDestino, latDestino] = longLatDestino;

        fetchConToken(`directions/${longOrigen}/${latOrigen}/${longDestino}/${latDestino}`)
        .then(response => response.json())
        .then(data => {                
                if(data.ok){
                    return dispatch(walkingDestinationPathLoaded(data.data))
                }
                else {
                    let errDesc = '<ul>';
                    data?.msg && (errDesc += '<li>'+data?.msg+'</li>');
                    data?.error && (errDesc += '<li>'+data?.error+'</li>');
                    if(data?.errors){
                        for(let campo in data.errors){
                            errDesc += '<li>'+data.errors[campo].msg + "</li>"
                        }
                    }
                    errDesc += '</ul>';
                    Swal.fire({
                        icon: 'error',
                        title: 'Oops...',
                        html: errDesc, 
                        footer: 'Habla con el administrador'                   
                    })
                }                
                
            }
        )
        .catch((error) => {
            console.log("error en el servicio")
            console.log(longLatOrigen, longLatDestino)
            console.log("el error" + error)
        });
    }    
}

const walkingDestinationPathLoaded = (path) => ({
    type: types.walkingDestinationPathLoaded,
    payload: path
})

export const walkingPathResetDestination = () => {
    return {
        type: types.walkingPathResetDestination        
    }
}

export const walkingPathResetOrigin = () => {
    return {
        type: types.walkingPathResetOrigin        
    }
}
