import React, { useEffect } from 'react';
import { BreadCrumbs } from '../ui/BreadCrumbs';
import { SearchPathForm } from '../ui/SearchPathForm';
import { useDispatch, useSelector } from 'react-redux';
import { allLinesLoading } from '../../actions/lines';
import { ListLines } from '../ui/ListLines';
import { getFavorites } from '../../actions/favorite';

        
export const Dashboard = () => {
    const dispatch = useDispatch();
    const lines = useSelector(state => state.lines)
    const favoriteLines = useSelector(state => state.favorites)

    useEffect(() => {
        if(!lines.isDownloaded){
            dispatch(allLinesLoading())
        }
        
    }, [dispatch, lines])

    useEffect(() => {
        if(!favoriteLines.isDownloaded){            
            dispatch(getFavorites())
        }
        
    }, [dispatch, favoriteLines])

    
    return (
        <>
            <main>
                <BreadCrumbs />
                <SearchPathForm />

                <section className="mb0">                        
                    <div className="row mb0">
                        <div className="input-field col s12 mb0">
                            <h5>Líneas disponibles en Sanlúcar</h5>
                        </div>
                    </div>
                </section>
                <section className="mt10 pAll10">
                    <div className="row">                        
                        <ListLines lines={lines.data} />                        
                    </div>
                </section>
            </main>
        </>
    )
}
