import React, { useEffect, useState } from 'react'
import { useDispatch, useSelector } from 'react-redux'
import { getFavorites } from '../../actions/favorite'
import { BreadCrumbs } from '../ui/BreadCrumbs'
import { ListLines } from '../ui/ListLines'
import { Notifications } from '../ui/Notifications'

export const FavoritesScreen = () => {
    const dispatch = useDispatch();
    const favoriteLines = useSelector(state => state.favorites);

    const [favLines, setFavLines] = useState([])

    useEffect(() => {              
        if(!favoriteLines.isDownloaded){
            dispatch(getFavorites())
        }else{
            setFavLines(favoriteLines.data);
        }
      
    }, [dispatch, favoriteLines])

    
    return (
        <main>
            <BreadCrumbs />
            <div className="mt10 pAll10">
                <div className="row"> 
                    <section className="col s12 m12 l12 xl12">
                        <ListLines lines={favLines}/>                        
                    </section>                
                    <section className="col s12 m12 l12 x12">
                        <div className="card animate__animated animate__bounceInUp">
                            <div className="card-content p0">
                                <header className="card-title white-text generalCardHeader center-align card-title-text">
                                    <p>Notificaciones de Líneas y Autobuses</p> 
                                    <i className="small material-icons">notifications</i>
                                </header>
                                <main className="white black-text pl20 pr20 pt20 pb20"> 
                                    <Notifications lines={favLines.map(e=>e.codeLine)} />                                    
                                </main>                                        
                            </div>
                        </div> 
                    </section>            
                </div>
            </div>                
        </main>
    )
}
