import React, { useEffect } from 'react'
import { useDispatch, useSelector } from 'react-redux';
import { allLinesLoading } from '../../actions/lines';
import { BreadCrumbs } from '../ui/BreadCrumbs'
import { Notifications } from '../ui/Notifications'

export const NotificationsScreen = () => {

    const dispatch = useDispatch();
    const {isDownloaded: linesIsDownloaded, data: lines} = useSelector(state => state.lines)
    useEffect(() => {
        !linesIsDownloaded && dispatch(allLinesLoading());
    }, [dispatch, linesIsDownloaded])

    return (
        
        <main>
            <BreadCrumbs />
                <div className="mt10 pAll10">
                    <div className="row">
                        <section className="col s12 m12 l12 xl12">
                            <div className="card animate__animated animate__bounceInUp">
                                <div className="card-content p0">
                                    <header className="card-title white-text generalCardHeader center-align card-title-text">
                                        <p>Notificaciones de Líneas y Autobuses</p> 
                                        <i className="small material-icons">notifications</i>
                                    </header>
                                    <main className="white black-text pl20 pr20 pt20 pb20">
                                        { linesIsDownloaded && <Notifications lines={lines.map(l => l.codeLine)} /> }
                                    </main>                                        
                                </div>
                            </div> 
                        </section>            
                    </div>
                </div>
        </main>
        
    )
}
