import React, { useEffect, useState } from 'react'
import { useDispatch, useSelector } from 'react-redux'
import { addFavorite, delFavorite, getFavorites } from '../../actions/favorite';

export const AddLineToFav = ({codeLine}) => {
    const dispatch = useDispatch();
    const [isFavorite, setIsFavorite] =  useState(false);
    const favoriteLinesRDX = useSelector(state => state.favorites)

    useEffect(() => {
        const favoriteLines = localStorage.getItem('favoriteLines') || [];        
        if(favoriteLines.length){
            JSON.parse(favoriteLines).filter(e=>e.codeLine === codeLine).length && (setIsFavorite(true))
        }
        else{
            dispatch(getFavorites())
        }

    }, [codeLine, dispatch, favoriteLinesRDX])

    const handleClick = () =>{
       isFavorite && dispatch(delFavorite(codeLine));
       !isFavorite && dispatch(addFavorite({codeLine: codeLine}))
       setIsFavorite(!isFavorite)
    }
    return (
        <div>
              {isFavorite && <i className="material-icons" onClick={handleClick}>favorite</i>}
              {!isFavorite && <i className="material-icons" onClick={handleClick}>favorite_border</i>}
        </div>
    )
}
