import React, {useEffect, useState} from 'react';
import { Link, useLocation } from 'react-router-dom';


export const BreadCrumbs = () => {
    const location = useLocation();
    const [currentLocation, setCurrentLocation] = useState('...Cargando');

    useEffect(() => {
        
        const locationURL = location.pathname.split('/').slice(1).join(' > ');
        const locationFirstLetter = locationURL.charAt(0).toUpperCase();
        setCurrentLocation(locationFirstLetter + locationURL.slice(1))
    }, [location])

    return (
        <div className="breadcrumb orange lighten-5">
            <h6>
            <Link to='/'><i className="material-icons">home</i></Link> {currentLocation}
            </h6>
        </div>
    )
}
