import React from 'react'
import { Link } from 'react-router-dom'

export const LineCard = ({codeLine, route, links, colorEnd=null, colorStart=null}) => {
    return (
            <div className="card animate__animated animate__fadeInUp">
                <div className="card-content p0">
                <header className={`card-title white-text line${codeLine} center-align card-title-text`} style={{background: `linear-gradient(to right, ${colorStart}, ${colorEnd})`}}>
                    Línea {codeLine} <i className="medium material-icons">directions_bus</i>
                </header>
                <main>
                <p className="white black-text pl20 pr20 pt20 pb20">{route}</p>
                </main>
                </div>
                <footer className="card-action">
                    {
                        links?.map(link => 
                            <Link key={link.code} to={`/lines/${link.code}`} className="grey-text">{link.name}</Link>                            
                        )
                    }
                
                </footer>
            </div>
    )
}
