import React from 'react'
import { LineCard } from './LineCard';

export const ListLines = ({lines}) => {
    
    return (
        <article>
             {
                lines?.map(line => {
                    let codeLine ='';
                    let links = [];
                    if(/^[0-9]+A/.test(line.codeLine)){
                        codeLine = line.codeLine.charAt(0)
                        links = [
                            {name: 'Paradas Ida', code: codeLine + 'A'}, 
                            {name: 'Paradas vuelta', code: codeLine + 'B'}
                        ]
                                                                
                    }else if(/^[0-9]+B/.test(line.codeLine)){
                        //Si ya existe A, nos saltamos B, si no, hacemos lo mismo que con A
                        if(lines.filter(line => /^[0-9]+A/.test(line.codeLine)).length){
                            return '';
                        }
                        else{
                            codeLine = line.codeLine.charAt(0)
                            links = [
                                {name: 'Paradas Ida', code: codeLine + 'A'}, 
                                {name: 'Paradas vuelta', code: codeLine + 'B'}
                            ]
                        }
                    }
                    else{
                        codeLine = line.codeLine;
                        links = [
                            {name: 'Paradas', code: codeLine }
                        ]
                    }
                    return (<div key={codeLine} className="col s12 m6 xl3">
                                <LineCard key={codeLine}
                                    codeLine={codeLine}
                                    route={line.from + " - " + line.to + " - " + line.from}
                                    links={links}
                                    colorStart={line.colorStart}
                                    colorEnd={line.colorEnd}
                                />
                            </div>)                     
                    
                })                      
                
            }        
        </article>
    )
}
