import React, { useRef } from 'react'

export const MapFilter = ({routesRepository, mapa, handleFunction}) => {
    const isVisible = useRef();
    const handleSwitchVisible = e => {
        const {checked} = e.target;
        
        if(!e.target.checked){
            e.checked = false;
        } 
        !checked && (isVisible.current.style.display = "none");        
        checked && (isVisible.current.style.display = "block");
    }
    return (
        <>
        
        {
            routesRepository.length &&
            <li key="visibleInvisible">
                <div style={{backgroundColor: 'white', width: '16px', height: '16px'}}></div>
                <div className="pl20"><strong>Filtro</strong></div>
                <div className="switch ">
                    <label>                                        
                        <input type="checkbox" defaultChecked={false} onChange={handleSwitchVisible} name="isVisible" />
                        <span className="lever"></span>
                    </label>
                </div>
            </li>
        }
        <div ref={isVisible} style={{display:'none'}}>
          {
            routesRepository.map(routeID => {
                if(mapa.getLayer(routeID))
                    return (
                        <li key={routeID}>                            
                            <div style={{backgroundColor: mapa?.getPaintProperty(routeID, 'line-color'), width: '16px', height: '16px'}}></div>                                    
                            <div className="pl20">{routeID.split('%').shift()}</div>
                            <div className="switch">
                                <label>                                        
                                    <input type="checkbox" defaultChecked={true} onChange={handleFunction} name="switch" value={routeID} />
                                    <span className="lever"></span>
                                </label>
                            </div>
                        </li>
                    );
                    else
                        return '';
                })
                
            }
        </div>
        </>
    )
}
