import React, { useEffect } from 'react';
import M from "materialize-css/dist/js/materialize.min.js";
import "materialize-css/dist/css/materialize.min.css";
import moment from 'moment';
import { useLineNotifications } from '../../hooks/useLineNotifications';


export const Notifications = ({lines}) => {
    const initialValues = {
        lines        
    }

    const {filtraNotificaciones, notificaciones} = useLineNotifications(initialValues)

    useEffect(()=>{
        const el = document.querySelectorAll('.tabs');
        M.Tabs.init(el);
    }, [])

    useEffect(() => {
        if(!notificaciones?.bus.length && !notificaciones?.linea.length)
            filtraNotificaciones()
    }, [filtraNotificaciones, notificaciones])
    
    return (
        <div>  
            <div className="row">
                <div className="col s12">
                <ul className="tabs">
                    <li className="tab col s6"><a className="active" href="#linea">Líneas</a></li>
                    <li className="tab col s6"><a href="#bus">Autobuses</a></li>
                </ul>
                </div>
                <div id="linea">        
                    <div  className="instrucciones">
                        <ul className="mapboxDirections">
                            {                
                            notificaciones?.linea?.map((e, index)=>{
                                    return (<li key={index}>
                                                    <div className="grafico">
                                                        <i className="small material-icons">linear_scale</i>
                                                    </div>
                                                    <div className="desc">
                                                    <p>
                                                        <small>(Fecha: {moment(e?.createdAt, moment.HTML5_FMT.DATETIME_LOCAL_MS).format('DD-MM-YYYY HH:mm:ss')})</small>&nbsp;
                                                    </p>
                                                    <p>
                                                        {`Línea ${e?.codeLine}: ${e?.description} `}
                                                    </p>
                                                    </div>
                                            </li>)
                            })
                            }
                        </ul>
                    </div>
                </div>
                <div id="bus">
                    <div  className="instrucciones">              
                        <ul className="mapboxDirections">
                            {                
                                notificaciones?.bus?.map((e, index)=>{                            
                                    return (<li key={index}>
                                                    <div className="grafico">
                                                        <i className="small material-icons">directions_bus</i>
                                                    </div>
                                                    {
                                                        <div className="desc">
                                                    <p>
                                                        <small>(Fecha: {moment(e?.createdAt, moment.HTML5_FMT.DATETIME_LOCAL_MS).format('DD-MM-YYYY HH:mm:ss')})</small>&nbsp;
                                                    </p>
                                                    <p>
                                                        {e?.description}
                                                    </p>
                                                    </div>
                                                    }
                                            </li>)
                            })
                            }
                        </ul>
                    </div>            
                </div>
            </div>
        </div>
        
    )
}
