import React from 'react'
import { IndividualStop } from './IndividualStop';

export const StopsPathFound = ({search, handleClick}) => {

    return (
                <div className="listaParadas">
                    <ul >                    
                        {  

                            search.map((parada, index, arraySearch) => {
                                let textoInicial = '';
                                let lastOne= false;
                                if(index === 0){
                                    textoInicial = `Ve hasta esta parada y sigue una de estas líneas: `;                                    
                                }
                                else if (index > 0 && index < arraySearch.length -1){
                                    textoInicial = `Continúa en una de estas líneas: `;
                                }
                                else if (index === arraySearch.length -1){
                                    textoInicial = "El itinerario acaba aquí."                                    
                                    lastOne= true;
                                }
                                
                                let lineas = parada?.details
                                    ?.filter(PPD => PPD.nextStop === search[index +1]?.codeStop)
                                    ?.map((g, index, arr) => {                                        
                                        return  (parada.lines.find(line => line._id === g.line._id) && <span key={index} className="white-text" style={{background: g.line.colorStart}}>{g.line.codeLine}<i className="material-icons">directions_bus</i></span>)
                                      }) 
                                    ?.reverse()                                
                                
                               

                                    // Si alguna de las líneas de ahora se repite con la anterior
                                    //      Saca solo la que se repite, el resto, en blanco.
                                    // Si ninguna de las líneas de ahora se repiten con la anterior.
                                    //      Saca todas las líneas

                                    


                                return (

                                <IndividualStop  key={parada.codeStop}
                                    parada={parada} 
                                    handleClick={handleClick} 
                                    lastOne={lastOne} 
                                    textoInicial={textoInicial} 
                                    lineas={lineas} 
                                />
                                )
                                })
                        }
                        { 
                        // Preguntar por siguiente parada
                        // 
                        // Buscar ProximaParada en el array de ProximaParadaDetalle del actual objeto Parada
                        // y comparar cada Parada de ProximaParadaDetalle con la Parada del SIGUIENTE elemento.                        
                        // De esta forma, obtengo solo las líneas que conectan con la siguiente parada, y no otras
                        // que conecten con otras paradas que no me interesan, ya que el array lo forman
                        // paradas + línea, y una parada puede tener más de una conexión, es decir, con paradas que 
                        // no me importan.
                        }
                    </ul>
                </div>
    )
}
