import React from 'react'

export const WalkInstructionsLine = ({steps}) => {
    return (
        <div>
        {   steps?.map((e, index, arr)=>{
                const tipo = e.maneuver.type?.split(' ').join('_').toString();
                const modificador = e.maneuver.modifier?.split(' ').join('_').toString();
                
                return (<li key={index}>
                                <div className="grafico">
                                    <img src={`/images/mapbox-icons/direction_${tipo}_${modificador}.png`} alt="" />
                                </div>
                                <div className="desc">
                                    <ul>
                                        <li><strong>{e.maneuver.instruction}</strong></li>                                                    
                                        {
                                            index !== arr.length-1 && 
                                            <span>                                                    
                                            <li>Distancia a recorrer: &nbsp; <strong>{ e.distance.toFixed(0)}mts.</strong></li> 
                                            <li>Duración: &nbsp; <strong>{ e.duration.toFixed(0)}segs.</strong></li>
                                            </span>
                                        }
                                    </ul>
                                </div>
                        </li>)
        })
        }
        </div>
    )
}
