import React, { useEffect } from 'react';
import M from "materialize-css/dist/js/materialize.min.js";
import { WalkInstructionsLine } from './WalkInstructionsLine';

export const WalkPath = ({toOriginSteps, durationStepsToOrigin, toDestinationSteps, durationStepsToDestination}) => {
  
    useEffect(() => {
        let el = document.querySelectorAll('.tabs');
        M.Tabs.init(el);
    }, [])

    return (
    <div className="row">
        <div className="col s12">
          <ul className="tabs">
            <li className="tab col s6"><a className="active" href="#ruta1">Ruta a parada</a></li>
             <li className="tab col s6"><a href="#ruta2">Ruta a pie a destino</a></li>

          </ul>
        </div>
        <div id="ruta1">        
            <div  className="instrucciones">
                <div className="duracion">
                    <div className="grafico"><i className="material-icons">access_time</i></div>
                    <div className="desc"><h3>Duración: {durationStepsToOrigin} min </h3></div>
                </div>                
                <ul className="mapboxDirections">
                    <WalkInstructionsLine steps={toOriginSteps} />                
                </ul>
            </div>
        </div>
        <div id="ruta2">
            <div  className="instrucciones">
                <div className="duracion">
                    <div className="grafico"><i className="material-icons">access_time</i></div>
                    <div className="desc"><h3>Duración: {durationStepsToDestination} min </h3></div>
                </div>                
                <ul className="mapboxDirections">
                    <WalkInstructionsLine steps={toDestinationSteps} />
                </ul>
            </div>
                    
        </div>
        
    </div>
    )
}
