import React, { useEffect, useRef } from 'react'
import M from "materialize-css/dist/js/materialize.min.js";
import 'animate.css';

export const LinesDates = React.forwardRef(({getDatePickerValue, idFechaServicio, delActivity, clase, activity}, ref) => {
    const initDate = useRef()
    const endDate = useRef()
    const monday = useRef()
    const tuesday = useRef()
    const wednesday = useRef()
    const thursday = useRef()
    const friday = useRef()
    const saturday = useRef()
    const sunday = useRef()
    const initHour = useRef()
    const endHour = useRef()
    

    useEffect(() => {
        M.Datepicker.init(initDate.current,{
            onClose:(e)=>{
                getDatePickerValue({
                    valueSelected: initDate.current.value,
                    nombre: initDate.current.name,
                    id: initDate.current.dataset.id
                })
            },
            format: 'dd-mm-yyyy'
        });

        M.Datepicker.init(endDate.current,{
            onClose:(e)=>{
                getDatePickerValue({
                    valueSelected: endDate.current.value,
                    nombre: endDate.current.name,
                    id: endDate.current.dataset.id
                })
            },
            format: 'dd-mm-yyyy'
        });
        
        M.Timepicker.init(initHour.current, {
            onCloseEnd:()=>{
                getDatePickerValue({
                    valueSelected: initHour.current.value,
                    nombre: initHour.current.name,
                    id: initHour.current.dataset.id
                })
            },
            twelveHour: false
        });

        M.Timepicker.init(endHour.current, {
            onCloseEnd:()=>{
                getDatePickerValue({
                    valueSelected: endHour.current.value,
                    nombre: endHour.current.name,
                    id: endHour.current.dataset.id
                })
            },
            twelveHour: false
        });
 
     
    })

    const sendCheckBoxes = (e) => {
        // Pillamos todos los valores de los checkboxes y 
        // se almancenan en un array 
        let daysOfWeek = [];
        (monday.current.checked) && (daysOfWeek = [...daysOfWeek, 'monday']);
        (tuesday.current.checked) && (daysOfWeek = [...daysOfWeek, 'tuesday']);
        (wednesday.current.checked) && (daysOfWeek = [...daysOfWeek, 'wednesday']);
        (thursday.current.checked) && (daysOfWeek = [...daysOfWeek, 'thursday']);
        (friday.current.checked) && (daysOfWeek = [...daysOfWeek, 'friday']);
        (saturday.current.checked) && (daysOfWeek = [...daysOfWeek, 'saturday']);
        (sunday.current.checked) && (daysOfWeek = [...daysOfWeek, 'sunday']);
        
        getDatePickerValue({
            valueSelected: daysOfWeek,
            nombre: 'daysOfWeek',
            id: endDate.current.dataset.id
        }) 
    }

    return (
        <div className={clase} ref={ref}>
            <div className="input-field col s12 ">
                    <input ref={initDate} data-id={idFechaServicio} name="initDate" type="text" defaultValue={activity?.initDate || ''} className="datepicker"/>
                <label className="active">Fecha de inicio de actividad</label>
            </div>
            <div className="input-field col s12 ">
                    <input ref={endDate} data-id={idFechaServicio} name="endDate" type="text" className="datepicker" defaultValue={activity?.endDate || ''} />
                <label className="active active">Fecha de finalización de actividad</label>
            </div>
            <div className="input-field col s12 flexForm">
                
            </div>

            <div className="input-field col s12">
                
                    <label className="active active">Días de servicio a la semana</label>
                
                <div className="row flexForm">
                    <p className="mr30">
                        <label>
                            <input ref={monday} type="checkbox" data-id={idFechaServicio} name="monday" className="filled-in" defaultChecked={activity?.daysOfWeek?.includes('monday') || false} onClick={sendCheckBoxes}/>
                            <span>Lunes</span>
                        </label>
                    </p>
                    <p className="mr30">
                        <label>
                            <input ref={tuesday} type="checkbox" name="tuesday" className="filled-in" defaultChecked={activity?.daysOfWeek?.includes('tuesday') || false} onClick={sendCheckBoxes}/>
                            <span>Martes</span>
                        </label>
                    </p>
                    <p className="mr30">
                        <label>
                            <input ref={wednesday} type="checkbox" name="wednesday" className="filled-in" defaultChecked={activity?.daysOfWeek?.includes('wednesday') || false} onClick={sendCheckBoxes}/>
                            <span>Miércoles</span>
                        </label>
                    </p>
                    <p className="mr30">
                        <label>
                            <input ref={thursday} type="checkbox" name="thursday" className="filled-in" defaultChecked={activity?.daysOfWeek?.includes('thursday') || false} onClick={sendCheckBoxes}/>
                            <span>Jueves</span>
                        </label>
                    </p>
                    <p className="mr30">
                        <label>
                            <input ref={friday} type="checkbox" name="friday" className="filled-in" defaultChecked={activity?.daysOfWeek?.includes('friday') || false} onClick={sendCheckBoxes} />
                            <span>Viernes</span>
                        </label>
                    </p>
                    <p className="mr30">
                        <label>
                            <input ref={saturday} type="checkbox" name="saturday" className="filled-in" defaultChecked={activity?.daysOfWeek?.includes('saturday') || false} onClick={sendCheckBoxes}/>
                            <span>Sábado</span>
                        </label>
                    </p>
                    <p className="mr30">
                        <label>
                            <input ref={sunday} type="checkbox" name="sunday" className="filled-in" defaultChecked={activity?.daysOfWeek?.includes('sunday') || false} onClick={sendCheckBoxes}/>
                            <span>Domingo</span>
                        </label>
                    </p>
                </div>
            </div>
            <div className="input-field col s12 ">
                    <input ref={initHour} data-id={idFechaServicio} name="initHour" type="text" defaultValue={activity?.initHour || ''} className="timepicker"/>
                <label className="active">Hora de inicio del servicio</label>
            </div>
            <div className="input-field col s12 ">
                    <input ref={endHour} data-id={idFechaServicio} name="endHour" type="text" defaultValue={activity?.endHour || ''} className="timepicker"/>
                <label className="active">Hora de finalización del servicio</label>
            </div>
            <button className="btn waves-effect waves-light teal black" type="button" onClick={()=>{delActivity(idFechaServicio)}}>
                <i className="material-icons red-text text-darken-4 left">delete</i>Eliminar periodo de actividad
            </button>
        </div>
        
    )
})
