import React, { useEffect } from 'react';
import { createContext } from 'react';
import { useSelector } from 'react-redux';
import { useSocket } from '../hooks/useSocket'
const baseUrl = process.env.REACT_APP_SOCKET_URL;

export const SocketContext = createContext();

export const SocketProvider = ({ children }) => {

    const { socket, online, conectarSocket, desconectarSocket } = useSocket(`${baseUrl}`);
    const auth = useSelector(state => state.auth);   

    useEffect(() => {
        if ( auth?.uid ) {
            conectarSocket();
        }
    }, [ auth, conectarSocket ]);

    useEffect(() => {
        if ( !auth?.uid ) {
            desconectarSocket();
        }
    }, [ auth, desconectarSocket ]);


    return (
        <SocketContext.Provider value={{ socket, online }}>
            { children }
        </SocketContext.Provider>
    )
}