import Swal from "sweetalert2";
import { fetchConToken } from "./fetch";

const getCurrentPosition = () => {
    return new Promise((resolve, reject) =>         
        navigator.geolocation.getCurrentPosition((pos)=>{
            if(localStorage.getItem('inSanlucar' === 'ok')){
                resolve(pos);
                return;
            }
            let crd = pos.coords;
            fetchConToken(`coordsinsanlucar/${crd.longitude}/${crd.latitude}`)
            .then(response => response.json())
            .then(data => {
                if(data.ok){
                    localStorage.setItem('inSanlucar', 'ok');
                    resolve(pos);
                }
                else {
                    let errDesc = '<ul>';
                    data?.msg && (errDesc += '<li>'+data?.msg+'</li>');
                    data?.error && (errDesc += '<li>'+data?.error+'</li>');
                    if(data?.errors){
                        for(let campo in data.errors){
                            errDesc += '<li>'+data.errors[campo].msg + "</li>"
                        }
                    }
                    errDesc += '</ul>';
                    Swal.fire({
                        icon: 'error',
                        title: 'Oops...',
                        html: errDesc, 
                        footer: 'Habla con el administrador'                   
                    })
                    reject(errDesc);
                }                
            })
            .catch((error) => {                
                Swal.fire('Error', JSON.stringify(error), 'error');
                reject(error);
            });
        }, reject)
    );
}

export {
    getCurrentPosition
}