import { useState } from 'react';


export const useForm = ( initialState = {} ) => {
    
    const [values, setValues] = useState(initialState);

    const reset = () => {
        setValues( initialState );
    }

    const handleInputChange = ({ target }) => {
        setValues({
            ...values,
            [ target.name ]: (target.type === "number" && target.value ) ? Number(target.value) : target.value
        });
    }

    const setValuesManually = (v) => {        
        setValues(v)
    }

    const setValueByName = (value, name) =>{
        setValues((prev) => {return {...prev, [name]: value}})
    }

    return [ values, handleInputChange, reset, setValuesManually, setValueByName ];

}