import { types } from '../types/types';

const initialState = {
    checking: true,
    // uid: null,
    // name: null
}

export const authReducer = ( state = initialState, action ) => {

    switch ( action.type ) {
        
        case types.authLogin:
            return {
                ...state,
                ...action.payload,
                checking: false
            }

        case types.authCheckingFinish:
            return {
                ...state,
                uid: null,
                name: null,
                checking: false
            }

        case types.authLogout:
            return {
                checking: false
            }
        case types.authFavoriteLineAdded:
            return {
                ...state,
                favoriteLines: action.payload
            }

        case types.authFavoriteLineRemoved:
            return {
                ...state,
                favoriteLines: action.payload
            }
        case types.authCheckingStart:
            return {
                ...state,
                checking: true
            }
        default:
            return state;
    }

}