import { types } from '../types/types';

const initialState = {
    data: [],
    isDownloaded: false
};

export const busesReducer = ( state = initialState, action ) => {

    switch ( action.type ) {
        
        case types.busesLoaded:
            return {
                data: [
                    ...action.payload,
                ],
                isDownloaded: true
            };
        case types.busSaved:
            return {
                ...state,
                //data: action.payload
                data: [
                    ...state.data,
                    action.payload,
                ],
                isDownloaded: true
            };
        case types.busEdited:
            return {
                ...state,
                //data: action.payload
                
                data: state.data.map(bus => {
                    if(bus._id === action.payload._id){
                        return action.payload
                    }
                    else{
                        return bus
                    }
                }),
                isDownloaded: true
            };
        case types.busDeleted:
            return {
                ...state,
                data: state.data.filter(bus => {
                    if(bus._id !== action.payload){
                        return bus
                    }
                    return false                    
                }),
                isDownloaded: true
            }    
        default:
            return state;
    }

}