import { types } from '../types/types';

const initialState = {
    data: [

    ],
    isDownloaded: false
};


export const linesReducer = ( state = initialState, action ) => {

    switch ( action.type ) {
        
        case types.linesLoaded:       
            return {
                ...state,
                data: action.payload,
                isDownloaded: true
            }
        case types.linesNotLoaded:
            return {
                data: [],
                isDownloaded: false
            }
        case types.lineSaved:
            return {
                ...state,
                data: [...state.data, action.payload],
                isDownloaded: true
            }
        case types.lineEdited:
            return {
                ...state,
                data: state.data.map(line => {
                    if(line.codeLine === action.payload.codeLine){
                        return action.payload
                    }
                    else{
                        return line
                    }
                }),
                isDownloaded: true
            }
        case types.lineDeleted:
            return {
                ...state,
                data: state.data.filter(line => {
                    console.log("Entra?", line._id, action.payload)
                    if(line._id !== action.payload){
                        return line
                    }
                    return false                    
                }),
                isDownloaded: true
            }            
        default:
            return state;
    }

}