import { types } from '../types/types';

const initialState = {
    data: [],
    isDownloaded: false,
};

export const notificationsReducer = ( state = initialState, action ) => {
    switch ( action.type ) {
        
        case types.notificationsLoaded:
            return {                
                data: action.payload,
                isDownloaded: true
            };
        case types.notificationsNotLoaded:
            return {    
                isDownloaded: false
            };
        case types.notificationsReset:
            return {
                ...state,
                isDownloaded: false
            }
        case types.notificationSaved:
            return {
                ...state,
                //data: action.payload
                data: [
                    ...state.data,
                    action.payload,
                ],
                isDownloaded: true
            };
        case types.notificationDeleted:
            return {
                ...state,
                data: state.data.filter(notification => {
                    if(notification._id !== action.payload){
                        return notification
                    }
                    return false                    
                }),
                isDownloaded: true
            }            
        default:
            return state;
    }
}