import {combineReducers} from 'redux';
import { authReducer } from './authReducer';
import { stopsReducer } from './stopsReducer';
import { searchReducer } from './searchReducer';
import { walkingPathReducer } from './walkingPathReducer';
import { nearestStopReducer } from './nearestStopReducer';
import { linesReducer } from './linesReducer';
import { lineReducer } from './lineReducer';
import { notificationsReducer } from './notificationsReducer';
import { favoritesReducer } from './favoriteReducer';
import { types } from '../types/types';
import { modalReducer } from './modalReducer';
import { formReducer } from './formReducer';
import { routesReducer } from './routesReducer';
import { busesReducer } from './busesReducer';
import { usersReducer } from './usersReducer';
import { inSanLucarGPSReducer } from './inSanLucarGPSReducer';

const appReducer = combineReducers({
    auth: authReducer,
    buses: busesReducer,
    stops: stopsReducer,
    search: searchReducer,
    walkingPath: walkingPathReducer,
    nearestStop: nearestStopReducer,
    inSanlucar: inSanLucarGPSReducer,
    lines: linesReducer,
    line: lineReducer,
    notifications: notificationsReducer,
    favorites: favoritesReducer,
    modal: modalReducer,
    form: formReducer,
    routes: routesReducer,
    users: usersReducer
})

export const rootReducer = (state, action) => {
    
    if ( action.type === types.authLogout) {
        
        return appReducer(undefined, action)
     }
    return appReducer(state, action)
 }