import { types } from '../types/types';

const initialState = {
    data: [],
    isDownloaded: false
};

export const routesReducer = ( state = initialState, action ) => {

    switch ( action.type ) {
        
        case types.routesLoaded:
            return {
                data: [
                    ...action.payload,
                ],
                isDownloaded: true
            };
        case types.routeSaved:
            return {
                ...state,
                data: action.payload
                /*data: [
                    ...state.data,
                    action.payload,
                ]*/,
                isDownloaded: true
            };
        case types.routeEdited:
            return {
                ...state,
                data: action.payload
                /*
                data: state.data.map(route => {
                    if(route._id === action.payload._id){
                        return action.payload
                    }
                    else{
                        return route
                    }
                })*/,
                isDownloaded: true
            };
        case types.routeDeleted:
            return {
                ...state,
                data: state.data.filter(route => {
                    if(route._id !== action.payload){
                        return route
                    }
                    return false                    
                }),
                isDownloaded: true
            }    
        default:
            return state;
    }

}