import { types } from '../types/types';

const initialState = {
    data: [],
    isDownloaded: false
};

export const stopsReducer = ( state = initialState, action ) => {

    switch ( action.type ) {
        
        case types.stopsLoaded:
            return {
                data: [
                    ...action.payload,
                ],
                isDownloaded: true
            };
        case types.stopSaved:
            return {
                ...state,
                data: [
                    ...state.data,
                    action.payload,
                ],
                isDownloaded: true
            };
        case types.stopEdited:
            return {
                ...state,
                data: state.data.map(stop => {
                    if(stop.codeStop === action.payload.codeStop){
                        return action.payload
                    }
                    else{
                        return stop
                    }
                }),
                isDownloaded: true
            };
        case types.stopDeleted:
            return {
                ...state,
                data: state.data.filter(stop => {
                    if(stop._id !== action.payload){
                        return stop
                    }
                    return false                    
                }),
                isDownloaded: true
            }    
        default:
            return state;
    }

}