import { types } from '../types/types';

const initialState = {
    data: [],
    isDownloaded: false
};

export const usersReducer = ( state = initialState, action ) => {

    switch ( action.type ) {
        
        case types.usersLoaded:
            return {
                data: [
                    ...action.payload,
                ],
                isDownloaded: true
            };
        case types.userSaved:
            return {
                ...state,
                //data: action.payload
                data: [
                    ...state.data,
                    action.payload,
                ],
                isDownloaded: true
            };
        case types.userEdited:
            return {
                ...state,
                //data: action.payload
                data: state.data.map(user => {
                    if(user._id === action.payload._id){
                        return action.payload
                    }
                    else{
                        return user
                    }
                }),
                isDownloaded: true
            };
        case types.userDeleted:
            return {
                ...state,
                data: state.data.filter(user => {
                    if(user._id !== action.payload){
                        return user
                    }
                    return false                    
                }),
                isDownloaded: true
            }    
        default:
            return state;
    }

}