import { types } from '../types/types';

const initialState = {
    Origen: {
        routes: [
            {
                duration: 0,
                legs: [
                    {
                        steps: []
                    }
                ]

            }
        ]
    },
    Destino : {
        routes: [
            {
                duration: 0,
                legs: [
                    {
                        steps: []
                    }
                ]

            }
        ]
    },
    ResetedDestino: true,
    ResetedOrigen: true

};

export const walkingPathReducer = ( state = initialState, action ) => {

    switch ( action.type ) {
        
        case types.walkingOriginPathLoaded:
            return {
                ...state,
                Origen: action.payload,
                ResetedOrigen: false
            };        
        case types.walkingDestinationPathLoaded:
            return {
                ...state,
                Destino: action.payload,
                ResetedDestino: false
            };
        case types.walkingPathResetDestination:
            return {...state,
                Destino: {
                    routes: [
                        {
                            duration: 0,
                            legs: [
                                {
                                    steps: []
                                }
                            ]
            
                        }
                    ]
                },
                ResetedDestino: true 
            }
        ;
        case types.walkingPathResetOrigin:
            return {...state,
                Origen: {
                    routes: [
                        {
                            duration: 0,
                            legs: [
                                {
                                    steps: []
                                }
                            ]
            
                        }
                    ]
                },
                ResetedOrigen: true 
            }
        ;        
        default:
            return state;
    }

}