import React from 'react';
import Navbar from '../components/ui/NavBar';
import {    
    Switch,
    Route,
    Redirect
  } from 'react-router-dom';
import { CRUDStopsScreen } from '../components/admin/CRUDStopsScreen';
import { CRUDLinesScreen } from '../components/admin/CRUDLinesScreen';
import { CRUDRoutesScreen } from '../components/admin/CRUDRoutesScreen';
import { CRUDBusScreen } from '../components/admin/CRUDBusScreen';
import { CRUDUserScreen } from '../components/admin/CRUDUsersScreen';
import { CRUDNotificationScreen } from '../components/admin/CRUDNotificationsScreen';

export const AdminDashboardRoutes = () => {
    return (
        <>
            {
                <Navbar />
            }
            <div>
                <Switch>                    
                    <Route exact path="/admin/stops" component={ CRUDStopsScreen } />                    
                    <Route exact path="/admin/lines" component={ CRUDLinesScreen } />                    
                    <Route exact path="/admin/routes" component={ CRUDRoutesScreen } />
                    <Route exact path="/admin/buses" component={ CRUDBusScreen } />
                    <Route exact path="/admin/users" component={ CRUDUserScreen } />
                    <Route exact path="/admin/notifications" component={ CRUDNotificationScreen } />

                    <Redirect to="/admin/dashboard" />
                </Switch>
            </div>
        </>
    )
}