import React from 'react';
import PropTypes from 'prop-types';

import { Route, Redirect } from 'react-router-dom';

export const AdminRoute = ({isAdmin, component: Component, ...rest}) => {
    return (
        <Route { ...rest }
            component={ (props) => (
                ( isAdmin )
                    ? ( <Component { ...props } /> )
                    : ( <Redirect to="/login" /> )
            )}
        
        />
    )
}

AdminRoute.propTypes = {
    isAdmin: PropTypes.bool.isRequired,
    component: PropTypes.func.isRequired
}