import React from 'react';
import Navbar from '../components/ui/NavBar';
import {    
    Switch,
    Route,
    Redirect
  } from 'react-router-dom';
import { Dashboard } from '../components/bahiabus/Dashboard';
import { BusScreen } from '../components/bahiabus/BusScreen';
import { StopsScreen } from '../components/bahiabus/StopsScreen';
import { SearchResultsScreen } from '../components/bahiabus/SearchResultsScreen';
import { LinesScreen } from '../components/bahiabus/LinesScreen';
import { ViewLineScreen } from '../components/bahiabus/ViewLineScreen';
import { NotificationsScreen } from '../components/bahiabus/NotificationsScreen';
import { FavoritesScreen } from '../components/bahiabus/FavoritesScreen';
import { ProfileScreen } from '../components/bahiabus/ProfileScreen';

export const DashboardRoutes = () => {
    return (
        <>
            {
                <Navbar />
            }
            <div>
                <Switch>
                    <Route exact path="/favorites" component={ FavoritesScreen } />
                    <Route exact path="/profile" component={ ProfileScreen } />
                    <Route exact path="/dashboard" component={ Dashboard } />
                    <Route exact path="/bus" component={ BusScreen } />
                    <Route exact path="/lines" component={ LinesScreen } />
                    <Route exact path="/notifications" component={ NotificationsScreen } />
                    <Route exact path="/lines/:codeLine" component={ ViewLineScreen } />
                    <Route exact path="/admin/stops" component={ StopsScreen } />
                    <Route exact path="/stops" component={ StopsScreen } />
                    <Route path="/searchresults/:place1/:place2" component={ SearchResultsScreen } />

                    <Redirect to="/dashboard" />
                </Switch>
            </div>
        </>
    )
}