const fetch = require('node-fetch');

exports.getPlaceByCoordinates = async (req, res) =>{      
    try {
        const {long, lat} = req.params;
        const token = process.env.MAPBOX_TOKEN;
        const query = await fetch(
            `https://api.tiles.mapbox.com/v4/geocode/mapbox.places/${long},${lat}.json?access_token=${token}`,
            { method: 'GET' }
        );        
        const jsonDirections = await query.json();
        /* Antes que nada, se comprueba si la dirección existe*/
        if(jsonDirections.features.length === 0 ){            
            return res.status(400).json({ok: false, msg: 'La dirección no existe'});    
        } 
        else if(!jsonDirections.features[0].place_name.includes('Sanlúcar de Barrameda')){
            return res.status(400).json({ok: false, msg: 'Su ubicación no corresponde con Sanlúcar de Barrameda'});    
        }

        res.status(200).json({
            ok: true
        });

        console.log("Está en Sanlúcar de Barrameda")
        
    } catch (error) {
        res.status(500).json({error: error.message});
    }
}
