const { response } = require('express');
const bcrypt = require('bcryptjs');
const User = require('../model/User');
 
const changeProfile = async(req, res = response ) => {

    const { password1} = req.body;
    const {uid} = req;

    try {
        
        const user = await User.findOne({ _id: uid });

        if ( !user ) {
            return res.status(400).json({
                ok: false,
                msg: 'El usuario no existe'
            });
        }  
           
        // Encriptar contraseña
        const salt = bcrypt.genSaltSync();
        user.password = bcrypt.hashSync( password1, salt );
        await user.save();

        res.status(200).json({
            ok: true,
            msg: 'Perfil modificado'
        })

    } catch (error) {
        console.log(error);
        res.status(409).json({
            ok: false,
            msg: 'Por favor hable con el administrador: ' + error.message
        });
    }
}

module.exports = {
    changeProfile
}