const User = require('../model/User');

exports.readUsers = async (req, res) =>{    
    try {
        const users = await User.find();
        if(!users){
            return res.status(404).json({
                ok: false,
                msg: 'No se han encontrado usuarios'
            });    
        }
        res.status(200).json({
            ok: true,
            data: users
            
        })
        console.log('users devueltos');    
    } catch (error) {
        res.status(500).json({error: error.message});
    }
}

exports.editUser = async (req, res) =>{ 
    const userId = req.params.id;

    try {

        let userExists = await User.findOne({_id : userId})        
        if(!userExists){
            return res.status(400).json({
                ok: false,
                msg: 'No existe ese usuario'
            });
        }
        else{
            const newRol = {rol: req.body.rol};
    
            // Configuramos la nueva línea
            const newuserUpdated = await User.findByIdAndUpdate( userId, newRol, { new: true } );

            res.status(201).json({
                ok: true,
                data: newuserUpdated
            })
        }

    } catch (error) {        
        res.status(409).json({
            ok: false,
            msg: 'Hable con el administrador. ' + error.message
        });
    }
}

exports.deleteUser = async (req, res) =>{ 
    const userId = req.params.id;
    try {

        let userExists = await User.findOne({_id : userId})        
        if(!userExists){
            return res.status(400).json({
                ok: false,
                msg: 'No existe ese usuario'
            });
        }
        else{
            // Borramos el usuario
            await User.findByIdAndDelete( userId );
            res.status(200).json({ ok: true }); 
        }

    } catch (error) {
        res.status(409).json({
            ok: false,
            msg: 'Hable con el administrador. ' + error.message
        });
    }
}