const fetch = require('node-fetch');

exports.readWalkingDirections = async (req, res) =>{      
    try {
        const {long1, lat1, long2, lat2} = req.params;
        const token = process.env.MAPBOX_TOKEN;
        const query = await fetch(
            `https://api.mapbox.com/directions/v5/mapbox/walking/${long1},${lat1};${long2},${lat2}?steps=true&language=es&geometries=geojson&access_token=${token}`,
            { method: 'GET' }
        );        
        const jsonDirections = await query.json();
        if(!jsonDirections.code){
            res.status(404).json({
                ok: false,
                data: jsonDirections
            });
        }
        else {
            res.status(200).json({
                ok: true,
                data: jsonDirections
            });
        }
               
        console.log('resultados devueltos');
    } catch (error) {
        res.status(500).json({error: error.message});
    }
}