const mongoose = require('mongoose');
const dbPassword = process.env.DBPWD;
const db = process.env.DB;
const dbUser = process.env.DBUSER;
const dbDomain = process.env.DBDOMAIN;
 
const mongodbStringConnection = `mongodb+srv://${dbUser}:${dbPassword}@${dbDomain}/${db}?retryWrites=true&w=majority`;

const dbConnection = async() => {

    try {
        
        await mongoose.connect( mongodbStringConnection, {
            useNewUrlParser: true, 
            useUnifiedTopology: true,            
        });

        console.log('DB Online');

    } catch (error) {
        console.log(error);
        throw new Error('Error a la hora de inicializar BD');
    }
}

module.exports = {
    dbConnection
}