const jwt = require('jsonwebtoken');


const createJWT = ( uid, name, rol ) => {

    return new Promise( (resolve, reject) => {

        const payload = { uid, name, rol };

        jwt.sign( payload, process.env.SECRET_JWT_SALT, {
            expiresIn: '2h'
        }, (err, token ) => {

            if ( err ){
                console.log(err);
                reject('No se pudo generar el token');
            }
            resolve( token );
        })
    })
}

const checkJWT = (token = '') => {
    try {
        const {uid, rol} = jwt.verify(token, process.env.SECRET_JWT_SALT);
       
        return [
            true,
            uid, 
            rol
        ]
    } catch (error) {
        return [
            false, null, null
        ]
    }
}

module.exports = {
    createJWT,
    checkJWT
}