const mongoose = require('mongoose');

const {Schema} = mongoose;

const busSchema = new Schema ({
    identification: {
        type:String,
        required:true,
        unique:true,
        index:true,
    },
    codeLine: {
        type: String,
        required: true
    },
    ramp: {
        type: Boolean,
        default: false
    },
    line: {
        type: Schema.Types.ObjectId,
        ref: 'Line',
        required: true
    },
    online: {
        type: Boolean,
        default: false
    }
}, {timestamps: true});


exports.Bus = mongoose.model('Bus', busSchema);