const { Schema, model } = require('mongoose');

const UserSchema = Schema({
    name: {
        type: String,
        required: true
    },
    surname: {
        type: String,
        required: false
    },
    email: {
        type: String,
        required: true,
        unique: true
    },
    password: {
        type: String,
        required: true
    },
    state: {
        type: Boolean,
        required: true,
        default: true
    },
    rol: {
        type: String,
        required: true,
        enum: ['ADMIN_ROLE', 'USER_ROLE', 'BUS_ROLE'],
        default: 'USER_ROLE'
    },
    favoriteLines: [{         
        type: Schema.Types.ObjectId,
        ref: 'Line',
        required: false            
    }]
},{timestamps: true});

module.exports = model('User', UserSchema );