const http     = require('http');
const socketio = require('socket.io');
const Sockets  = require('./sockets');

class Server {

    constructor(app, port) {

        this.app  = app;
        this.port = port;

        // Http server
        this.server = http.createServer( this.app );
        
        // Sockets        
        this.io = socketio(this.server, {cors: {
            origin: "*",
            methods: ["GET", "POST"]
          }});
    }
   

    // Esta configuración se puede tener aquí o como propieda de clase
    // depende mucho de lo que necesites
    configurarSockets() {
        new Sockets( this.io );
    }

    execute() {

        // Inicializar sockets
        this.configurarSockets();

        // Inicializar Server
        this.server.listen( this.port, () => {
            console.log('Server corriendo en puerto:', this.port );
        });
    }

}

module.exports = Server;