const mongoose = require('mongoose'); 

const stopSchema = new mongoose.Schema({
    codeStop: {
        type:Number,
        required:true
    },
    name:{
        type:String,
        required:true,                
    },
    latitude:{
        type: Number
    },
    longitude:{
        type: Number
    },    
    lines: [{
        type: mongoose.Schema.Types.ObjectId,
        ref: 'Line',
        required: false            
    }],
    connections: {
        type: Array,        
    },
    details:[{
        _id:{
            type: Number
        },   
        nextStop:{
            type: Number
        },
        line: {
            type: mongoose.Schema.Types.ObjectId,
            ref: 'Line',
            required: false            
        },
        nextStopTimeTable: {
            daysOfWeek:{
                type: [String],
                enum: ['Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado', 'Domingo']
            },
            hour: {
                type: Array,
                default: ['7:30', '23:30']
            }
        }
    }]
});

exports.stop = mongoose.model('stop', stopSchema);