const { Router } = require('express');
const { check } = require('express-validator');
const { validateFields } = require('../middlewares/validate-fields');
const { listUsers } = require('../controller/admin');
const { validateJWT } = require('../middlewares/validate-jwt');
const { isAdminRole } = require('../middlewares/validate-roles');

const router = Router();

// Middlewares globales para todo admin
router.use('/', 
    [
        validateJWT, 
        isAdminRole
    ], 
    (req, res, next) => {
        next()
    }
);

router.get(
    '/listusers',
    [
        //validateJWT,
        //isAdminRole
    ],
    listUsers 
);



module.exports = router;