const express = require('express');
const { check } = require('express-validator');
const { getFavorites, addFavLines, delFavLines } = require('../controller/favorites');
const { validateFields } = require('../middlewares/validate-fields');
const { validateJWT } = require('../middlewares/validate-jwt');

const router = express.Router();
router.get('/', validateJWT, getFavorites);

router.post('/', [
    validateJWT,    
    check('codeLine', 'El código de línea es obligatorio').not().isEmpty(),
    validateFields
], addFavLines);

router.delete('/:id', [
    validateJWT,
    check('id', 'El id es obligatorio').not().isEmpty(),
    validateFields
], delFavLines);

module.exports = router;