const express = require('express');
const { check } = require('express-validator');
const { getPlaceByCoordinates } = require('../controller/getPlaceByCoordinates');
const { validateFields } = require('../middlewares/validate-fields');
const { validateJWT } = require('../middlewares/validate-jwt');

const router = express.Router();
router.get('/:long/:lat', [
    validateJWT,
    check('long', 'Longitud es obligatorio').not().isEmpty(),    
    check('lat', 'Latitud es obligatorio').not().isEmpty(),        
    check('long', 'Longitud es numérico').isNumeric(),    
    check('lat', 'Latitud es numérico').isNumeric(),      
    validateFields    
], getPlaceByCoordinates);

module.exports = router;