const express = require('express');
const { check } = require('express-validator');
const { getStopByPlace } = require('../controller/getStopByPlace');
const { validateFields } = require('../middlewares/validate-fields');
const { validateJWT } = require('../middlewares/validate-jwt');

const router = express.Router();
router.get('/:place', [
    validateJWT,
    check('place', 'Debes indicar un lugar.').not().isEmpty(),
    validateFields
], getStopByPlace);

module.exports = router;