const { Router } = require('express');
const { check } = require('express-validator');
const { validateFields } = require('../middlewares/validate-fields');
const { changeProfile } = require('../controller/profile');
const { validateJWT } = require('../middlewares/validate-jwt');

const router = Router();

router.post(
    '/',
    [
        validateJWT,  
        check('password1', 'El password debe de ser de 6 caracteres').isLength({ min: 6 }),
        validateFields     
    ],
    changeProfile 
);

module.exports = router;