const express = require('express');
const { check } = require('express-validator');
const { searchRoute } = require('../controller/searchResults');
const { validateFields } = require('../middlewares/validate-fields');
const { validateJWT } = require('../middlewares/validate-jwt');

const router = express.Router();
router.get('/:place1/:place2',[    
    validateJWT,
    check('place1', 'La parada de origen no puede estar vacía').not().isEmpty(),    
    check('place2', 'La parada destino no puede estar vacía').not().isEmpty(),
    check('place1', 'La parada de origen debe ser numérica').isNumeric(),    
    check('place2', 'La parada destino debe ser numérica').isNumeric(),    
    validateFields
],
searchRoute);

module.exports = router;