const express = require('express');
const { check } = require('express-validator');
const { readWalkingDirections } = require('../controller/walkingDirections');
const { validateFields } = require('../middlewares/validate-fields');
const { validateJWT } = require('../middlewares/validate-jwt');

const router = express.Router();
router.get('/:long1/:lat1/:long2/:lat2', [
    validateJWT,
    check('long1', 'Longitud 1 es obligatorio').not().isEmpty(),    
    check('lat1', 'Latitud 1 es obligatorio').not().isEmpty(),    
    check('long2', 'Longitud 2 es obligatorio').not().isEmpty(),
    check('lat2', 'Latitud 2 es obligatorio').not().isEmpty(),
    check('long1', 'Longitud 1 es numérico').isNumeric(),    
    check('lat1', 'Latitud 1 es numérico').isNumeric(),    
    check('long2', 'Longitud 2 es numérico').isNumeric(),
    check('lat2', 'Latitud 2 es numérico').isNumeric(),    
    validateFields    
], readWalkingDirections);

module.exports = router;